I'm using v4.0.1 and would like to upgrade if the newer versions are compatible with the Treo 300. It's conspicuously absent from the PalmOne site's list of compatibles: Palm Tungsten series, Palm Zire series, Palm i700 series, Palm m500 series, Palm m100 series, Palm VII series, Palm V series, Palm III series and PalmPilot handhelds.
Anyone tried this combination of Treo and software?